%define upstream_name    Text-Template
%define upstream_version 1.61

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Text::Template module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::More::UTF8)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a library for generating form letters, building HTML pages, or
filling in templates generally.  A `template' is a piece of text that
has little Perl programs embedded in it here and there.  When you
`fill in' a template, you evaluate the little programs and replace
them with their values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Text
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.610.0-2.mga10
+ Revision: 2214582
- Mageia 10 Mass Rebuild

* Thu May 05 2022 tv <tv> 1.610.0-1.mga9
+ Revision: 1856238
- update to 1.61

* Mon Mar 21 2022 umeabot <umeabot> 1.600.0-2.mga9
+ Revision: 1814961
- Mageia 9 Mass Rebuild

* Fri Sep 10 2021 tv <tv> 1.600.0-1.mga9
+ Revision: 1745016
- update to 1.60

* Sun Jul 05 2020 tv <tv> 1.590.0-1.mga8
+ Revision: 1602080
- update to 1.59

* Sun Feb 16 2020 umeabot <umeabot> 1.580.0-2.mga8
+ Revision: 1534230
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Sep 28 2019 tv <tv> 1.580.0-1.mga8
+ Revision: 1447892
- update to 1.58

* Thu Sep 12 2019 tv <tv> 1.570.0-1.mga8
+ Revision: 1439934
- update to 1.57

* Wed Jul 10 2019 tv <tv> 1.560.0-1.mga8
+ Revision: 1419872
- update to 1.56

* Tue Feb 26 2019 tv <tv> 1.550.0-1.mga7
+ Revision: 1370216
- update to 1.55

* Mon Jan 14 2019 tv <tv> 1.540.0-1.mga7
+ Revision: 1356713
- update to 1.54

* Thu Sep 20 2018 umeabot <umeabot> 1.530.0-2.mga7
+ Revision: 1286984
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 1.530.0-1.mga7
+ Revision: 1226489
- New version 1.53

* Mon Mar 19 2018 tv <tv> 1.520.0-1.mga7
+ Revision: 1210436
- update to 1.52

* Wed Mar 07 2018 shlomif <shlomif> 1.510.0-1.mga7
+ Revision: 1207160
- New version 1.51

* Thu Feb 15 2018 tv <tv> 1.500.0-1.mga7
+ Revision: 1201423
- update to 1.50

* Fri Feb 09 2018 tv <tv> 1.490.0-1.mga7
+ Revision: 1199866
- update to 1.49

* Sun Jul 23 2017 shlomif <shlomif> 1.470.0-1.mga7
+ Revision: 1128994
- update to 1.47

* Sun Jun 19 2016 pterjan <pterjan> 1.460.0-6.mga6
+ Revision: 1035168
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.460.0-5.mga6
+ Revision: 946055
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.460.0-4.mga5
+ Revision: 739601
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.460.0-3.mga5
+ Revision: 686656
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.460.0-2.mga4
+ Revision: 527407
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.460.0-1.mga4
+ Revision: 440015
- update to 1.46

* Sun Jan 13 2013 umeabot <umeabot> 1.450.0-2.mga3
+ Revision: 374213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.450.0-1.mga1
+ Revision: 27165
- mageia rebuild
- imported package perl-Text-Template


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.450.0-1mdv2010.0
+ Revision: 408089
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.45-2mdv2009.0
+ Revision: 268830
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-1mdv2009.0
+ Revision: 196170
- update to new version 1.45
- update to new version 1.45

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.44-3mdv2008.1
+ Revision: 136362
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.44-3mdv2007.0
+ Revision: 108448
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Text-Template

* Wed Jan 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.44-3mdk
- Rebuild
- Remove dependency on perl

